Bug 197111 - desktop icons don't re-appear after hidden
desktop icons don't re-appear after hidden
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 12:12 EDT by Zack Cerza
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 12:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2006-06-28 12:12:16 EDT
Description of problem:
If I disable the desktop icons via the /apps/nautilus/preferences/show_desktop
gconf key, they disappear. If I re-enable them, they don't re-appear. I noticed
that nautilus was not running, so I opened a folder to see if the icons would
re-appear then. They didn't.

Version-Release number of selected component (if applicable):
nautilus-2.14.1-1.fc5.1
Comment 1 Alexander Larsson 2006-08-22 09:00:52 EDT
Exactly what do you mean. How could the icons show up when nautilus isn't even
running?

However, if show_desktop is true and you launch nautilus (and it wasn't running
before) you should get a desktop with icons. Unless ---no-desktop was passed to
nautilus. How did you "open a folder"?
Comment 2 Zack Cerza 2006-08-22 11:49:57 EDT
Just try this:

gconftool-2 --type bool --set /apps/nautilus/preferences/show_desktop false
sleep 1
gconftool-2 --type bool --set /apps/nautilus/preferences/show_desktop true

After I do this, my desktop icons are still hidden.

How did I open a folder? The Places menu.

As far as the question "How could the icons show up when nautilus isn't even
running?", I don't know the answer. But I'd expect that re-enabling show_desktop
would, you know, show the desktop. It doesn't.
Comment 3 Alexander Larsson 2006-09-04 12:49:02 EDT
Nautilus is the thing listening to the changes to the setting, but if
show_desktop is false and there are no other nautilus windows open then nautilus
will not be running, so it can't detect the change.

We could either keep nautilus running anyway just to solve this issue, or create
a daemon specifically to listen to this change and keep that in the session.

The problem doesn't seem important enought for either of the solutions to be
worth it.

Note You need to log in before you can comment on or make changes to this bug.